dir-rm-dest

来自「实战Linux编程的原代码,希望对学驱动的人能有所帮助」· 代码 · 共 33 行

TXT
33
字号
#!/bin/sh# verify that cp's --remove-destination option works with -Rif test "$VERBOSE" = yes; then  set -x  cp --versionfipwd=`pwd`t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0trap '(exit $?); exit' 1 2 13 15framework_failure=0mkdir -p $tmp || framework_failure=1cd $tmp || framework_failure=1mkdir d e || framework_failure=1if test $framework_failure = 1; then  echo 'failure in testing framework'  exit 1fifail=0# Do it once with no destination...cp -R --remove-destination d e || fail=1# ...and again, with an existing destination.cp -R --remove-destination d e || fail=1(exit $fail); exit

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?